<cui-icon class="toast-icon" [name]="icon"></cui-icon>
<div class="toast-text">
  <h4 *ngIf="title" [class]="options.titleClass" [attr.aria-label]="title">
    {{ title }}
    <ng-container *ngIf="duplicatesCount">({{ duplicatesCount + 1 }})</ng-container>
  </h4>
  <div *ngIf="message && options.enableHtml"
       [class]="options.messageClass"
       [innerHTML]="message"
       aria-live="polite"
       class="toast-message"
       role="alertdialog"
  ></div>
  <div *ngIf="message && !options.enableHtml"
       [class]="options.messageClass"
       [attr.aria-label]="message"
       aria-live="polite"
       class="toast-message"
       role="alertdialog"
  >
    {{ message }}
  </div>
  <a
    *ngIf="toastOptions.link"
    (click)="action($event, toastOptions.link)"
    [attr.aria-label]="toastOptions.link.ariaLabel"
    class="cui-link-primary toast-link">
    {{toastOptions.link.title}}
  </a>
  <button
    *ngIf="toastOptions.button"
    (click)="action($event, toastOptions.button)"
    [attr.aria-label]="toastOptions.button.ariaLabel"
    cui-button
    look="link"
    type="button"
    class="cui-link-primary">
    {{toastOptions.button.title}}
  </button>
</div>
<button *ngIf="options.closeButton" class="toast-close"
        cui-icon-button icon="close" mode="ghost" size="s" (click)="remove()"
        [attr.aria-label]="config.i18n.close">
</button>
